Package com.microsoft.sqlserver.jdbc

## Interface ISQLServerResultSet

All Superinterfaces:
  `AutoCloseable`, `ResultSet`, `Wrapper`

All Known Implementing Classes:
  `SQLServerResultSet`

    public interface ISQLServerResultSet
    extends ResultSet

This interface is implemented by `SQLServerResultSet` class.

### Field Summary

Fields
`static int` `CONCUR_SS_OPTIMISTIC_CC`
`static int` `CONCUR_SS_OPTIMISTIC_CCVAL`
`static int` `CONCUR_SS_SCROLL_LOCKS`
`static int` `TYPE_SS_DIRECT_FORWARD_ONLY`
`static int` `TYPE_SS_SCROLL_DYNAMIC`
`static int` `TYPE_SS_SCROLL_KEYSET`
`static int` `TYPE_SS_SCROLL_STATIC`
`static int` `TYPE_SS_SERVER_CURSOR_FORWARD_ONLY`

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

### Method Summary

All Methods Instance Methods Abstract Methods
`Timestamp` `getDateTime​(int columnIndex)` Retrieves the value of the designated column in the current row of this ResultSet object as a java.sql.Timestamp object in the Java programming language.
`Timestamp` `getDateTime​(int columnIndex, Calendar cal)` Retrieves the value of the designated column in the current row of this ResultSet object as a java.sql.Timestamp object in the Java programming language.
`Timestamp` `getDateTime​(String columnName)` Retrieves the value of the designated column in the current row of this ResultSet object as a java.sql.Timestamp object in the Java programming language.
`Timestamp` `getDateTime​(String colName, Calendar cal)` Retrieves the value of the designated column in the current row of this ResultSet object as a java.sql.Timestamp object in the Java programming language.
`DateTimeOffset` `getDateTimeOffset​(int columnIndex)` Retrieves the value of the designated column as a microsoft.sql.DateTimeOffset object, given a zero-based column ordinal.
`DateTimeOffset` `getDateTimeOffset​(String columnName)` Retrieves the value of the column specified as a microsoft.sql.DateTimeOffset object, given a column name.
`Geography` `getGeography​(int columnIndex)` Retrieves the value of the designated column in the current row of this ResultSet object as a com.microsoft.sqlserver.jdbc.Geography object in the Java programming language.
`Geography` `getGeography​(String columnName)` Retrieves the value of the designated column in the current row of this ResultSet object as a com.microsoft.sqlserver.jdbc.Geography object in the Java programming language.
`Geometry` `getGeometry​(int columnIndex)` Retrieves the value of the designated column in the current row of this ResultSet object as a com.microsoft.sqlserver.jdbc.Geometry object in the Java programming language.
`Geometry` `getGeometry​(String columnName)` Retrieves the value of the designated column in the current row of this ResultSet object as a com.microsoft.sqlserver.jdbc.Geometry object in the Java programming language.
`BigDecimal` `getMoney​(int columnIndex)` Retrieves the value of the column specified as a java.math.BigDecimal object.
`BigDecimal` `getMoney​(String columnName)` Retrieves the value of the column specified as a java.math.BigDecimal object.
`SensitivityClassification` `getSensitivityClassification()` Exposes Data Classification information for the current ResultSet For SQL Servers that do not support Data Classification or results that do not fetch any classified columns, this data can be null
`Timestamp` `getSmallDateTime​(int columnIndex)` Retrieves the value of the designated column in the current row of this ResultSet object as a java.sql.Timestamp object in the Java programming language.
`Timestamp` `getSmallDateTime​(int columnIndex, Calendar cal)` Retrieves the value of the designated column in the current row of this ResultSet object as a java.sql.Timestamp object in the Java programming language.
`Timestamp` `getSmallDateTime​(String columnName)` Retrieves the value of the designated column in the current row of this ResultSet object as a java.sql.Timestamp object in the Java programming language.
`Timestamp` `getSmallDateTime​(String colName, Calendar cal)`
`BigDecimal` `getSmallMoney​(int columnIndex)` Retrieves the value of the column specified as a java.math.BigDecimal object.
`BigDecimal` `getSmallMoney​(String columnName)` Retrieves the value of the column specified as a java.math.BigDecimal object.
`String` `getUniqueIdentifier​(int columnIndex)` Retrieves the value of the designated column in the current row of this ResultSet object as a String object in the Java programming language.
`String` `getUniqueIdentifier​(String columnLabel)` Retrieves the value of the designated column in the current row of this ResultSet object as a String object in the Java programming language.
`void` `updateBigDecimal​(int index, BigDecimal x, Integer precision, Integer scale)` Updates the designated column with a `java.math.BigDecimal` value.
`void` `updateBigDecimal​(int index, BigDecimal x, Integer precision, Integer scale, boolean forceEncrypt)` Updates the designated column with a `java.math.BigDecimal` value.
`void` `updateBigDecimal​(String columnName, BigDecimal x, boolean forceEncrypt)` Updates the designated column with a `java.sql.BigDecimal` value.
`void` `updateBigDecimal​(String columnName, BigDecimal x, Integer precision, Integer scale)` Updates the designated column with a `java.sql.BigDecimal` value.
`void` `updateBigDecimal​(String columnName, BigDecimal x, Integer precision, Integer scale, boolean forceEncrypt)` Updates the designated column with a `java.sql.BigDecimal` value.
`void` `updateBoolean​(int index, boolean x, boolean forceEncrypt)` Updates the designated column with a `boolean` value.
`void` `updateBoolean​(String columnName, boolean x, boolean forceEncrypt)` Updates the designated column with a `boolean` value.
`void` `updateByte​(int index, byte x, boolean forceEncrypt)` Updates the designated column with a `byte` value.
`void` `updateByte​(String columnName, byte x, boolean forceEncrypt)` Updates the designated column with a `byte` value.
`void` `updateBytes​(int index, byte[] x, boolean forceEncrypt)` Updates the designated column with a `byte` array value.
`void` `updateBytes​(String columnName, byte[] x, boolean forceEncrypt)` Updates the designated column with a byte array value.
`void` `updateDate​(int index, Date x, boolean forceEncrypt)` Updates the designated column with a `java.sql.Date` value.
`void` `updateDate​(String columnName, Date x, boolean forceEncrypt)` Updates the designated column with a `java.sql.Date` value.
`void` `updateDateTime​(int index, Timestamp x)` Updates the designated column with a `java.sql.Timestamp` value.
`void` `updateDateTime​(int index, Timestamp x, Integer scale)` Updates the designated column with a `java.sql.Timestamp` value.
`void` `updateDateTime​(int index, Timestamp x, Integer scale, boolean forceEncrypt)` Updates the designated column with a `java.sql.Timestamp` value.
`void` `updateDateTime​(String columnName, Timestamp x)` Updates the designated column with a `java.sql.Timestamp` value.
`void` `updateDateTime​(String columnName, Timestamp x, int scale)` Updates the designated column with a `java.sql.Timestamp` value.
`void` `updateDateTime​(String columnName, Timestamp x, int scale, boolean forceEncrypt)` Updates the designated column with a `java.sql.Timestamp` value.
`void` `updateDateTimeOffset​(int index, DateTimeOffset x)` Updates the value of the column specified to the DateTimeOffset Class value, given a zero-based column ordinal.
`void` `updateDateTimeOffset​(int index, DateTimeOffset x, Integer scale)` Updates the value of the column specified to the DateTimeOffset Class value, given a zero-based column ordinal.
`void` `updateDateTimeOffset​(int index, DateTimeOffset x, Integer scale, boolean forceEncrypt)` Updates the value of the column specified to the DateTimeOffset Class value, given a zero-based column ordinal.
`void` `updateDateTimeOffset​(String columnName, DateTimeOffset x)` Updates the value of the column specified to the DateTimeOffset Class value, given a column name.
`void` `updateDateTimeOffset​(String columnName, DateTimeOffset x, int scale)` Updates the value of the column specified to the DateTimeOffset Class value, given a column name.
`void` `updateDateTimeOffset​(String columnName, DateTimeOffset x, int scale, boolean forceEncrypt)` Updates the value of the column specified to the DateTimeOffset Class value, given a column name.
`void` `updateDouble​(int index, double x, boolean forceEncrypt)` Updates the designated column with a `double` value.
`void` `updateDouble​(String columnName, double x, boolean forceEncrypt)` Updates the designated column with a `double` value.
`void` `updateFloat​(int index, float x, boolean forceEncrypt)` Updates the designated column with a `float` value.
`void` `updateFloat​(String columnName, float x, boolean forceEncrypt)` Updates the designated column with a `float` value.
`void` `updateInt​(int index, int x, boolean forceEncrypt)` Updates the designated column with an `int` value.
`void` `updateInt​(String columnName, int x, boolean forceEncrypt)` Updates the designated column with an `int` value.
`void` `updateLong​(int index, long x, boolean forceEncrypt)` Updates the designated column with a `long` value.
`void` `updateLong​(String columnName, long x, boolean forceEncrypt)` Updates the designated column with a `long` value.
`void` `updateMoney​(int index, BigDecimal x)` Updates the designated column with a `money` value.
`void` `updateMoney​(int index, BigDecimal x, boolean forceEncrypt)` Updates the designated column with a `money` value.
`void` `updateMoney​(String columnName, BigDecimal x)` Updates the designated column with a `money` value.
`void` `updateMoney​(String columnName, BigDecimal x, boolean forceEncrypt)` Updates the designated column with a `money` value.
`void` `updateNString​(int columnIndex, String nString, boolean forceEncrypt)` Updates the designated column with a `String` value.
`void` `updateNString​(String columnLabel, String nString, boolean forceEncrypt)` Updates the designated column with a `String` value.
`void` `updateObject​(int index, Object x, int precision, int scale)` Updates the designated column with an `Object` value.
`void` `updateObject​(int index, Object x, int precision, int scale, boolean forceEncrypt)` Updates the designated column with an `Object` value.
`void` `updateObject​(int index, Object obj, SQLType targetSqlType, int scale, boolean forceEncrypt)` Updates the designated column with an Object value.
`void` `updateObject​(String columnName, Object x, int precision, int scale)` Updates the designated column with an `Object` value.
`void` `updateObject​(String columnName, Object x, int precision, int scale, boolean forceEncrypt)` Updates the designated column with an `Object` value.
`void` `updateObject​(String columnName, Object obj, SQLType targetSqlType, int scale, boolean forceEncrypt)` Updates the designated column with an Object value.
`void` `updateShort​(int index, short x, boolean forceEncrypt)` Updates the designated column with a `short` value.
`void` `updateShort​(String columnName, short x, boolean forceEncrypt)` Updates the designated column with a `short` value.
`void` `updateSmallDateTime​(int index, Timestamp x)` Updates the designated column with a `java.sql.Timestamp` value.
`void` `updateSmallDateTime​(int index, Timestamp x, Integer scale)` Updates the designated column with a `java.sql.Timestamp` value.
`void` `updateSmallDateTime​(int index, Timestamp x, Integer scale, boolean forceEncrypt)` Updates the designated column with a `java.sql.Timestamp` value.
`void` `updateSmallDateTime​(String columnName, Timestamp x)` Updates the designated column with a `java.sql.Timestamp` value.
`void` `updateSmallDateTime​(String columnName, Timestamp x, int scale)` Updates the designated column with a `java.sql.Timestamp` value.
`void` `updateSmallDateTime​(String columnName, Timestamp x, int scale, boolean forceEncrypt)` Updates the designated column with a `java.sql.Timestamp` value.
`void` `updateSmallMoney​(int index, BigDecimal x)` Updates the designated column with a `smallmoney` value.
`void` `updateSmallMoney​(int index, BigDecimal x, boolean forceEncrypt)` Updates the designated column with a `smallmoney` value.
`void` `updateSmallMoney​(String columnName, BigDecimal x)` Updates the designated column with a `smallmoney` value.
`void` `updateSmallMoney​(String columnName, BigDecimal x, boolean forceEncrypt)` Updates the designated column with a `smallmoney` value.
`void` `updateString​(int columnIndex, String stringValue, boolean forceEncrypt)` Updates the designated column with a `String` value.
`void` `updateString​(String columnName, String x, boolean forceEncrypt)` Updates the designated column with a `String` value.
`void` `updateTime​(int index, Time x, Integer scale)` Updates the designated column with a `java.sql.Time` value.
`void` `updateTime​(int index, Time x, Integer scale, boolean forceEncrypt)` Updates the designated column with a `java.sql.Time` value.
`void` `updateTime​(String columnName, Time x, int scale)` Updates the designated column with a `java.sql.Time` value.
`void` `updateTime​(String columnName, Time x, int scale, boolean forceEncrypt)` Updates the designated column with a `java.sql.Time` value.
`void` `updateTimestamp​(int index, Timestamp x, int scale)` Updates the designated column with a `java.sql.Timestamp` value.
`void` `updateTimestamp​(int index, Timestamp x, int scale, boolean forceEncrypt)` Updates the designated column with a `java.sql.Timestamp` value.
`void` `updateTimestamp​(String columnName, Timestamp x, int scale)` Updates the designated column with a `java.sql.Timestamp` value.
`void` `updateTimestamp​(String columnName, Timestamp x, int scale, boolean forceEncrypt)` Updates the designated column with a `java.sql.Timestamp` value.
`void` `updateUniqueIdentifier​(int index, String x)` Updates the designated column with a `String` value.
`void` `updateUniqueIdentifier​(int index, String x, boolean forceEncrypt)` Updates the designated column with a `String` value.
`void` `updateUniqueIdentifier​(String columnName, String x)` Updates the designated column with a `String`value.
`void` `updateUniqueIdentifier​(String columnName, String x, boolean forceEncrypt)` Updates the designated column with a `String`value.

### Methods inherited from interface java.sql.ResultSet

`absolute, afterLast, beforeFirst, cancelRowUpdates, clearWarnings, close, deleteRow, findColumn, first, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getConcurrency, getCursorName, getDate, getDate, getDate, getDate, getDouble, getDouble, getFetchDirection, getFetchSize, getFloat, getFloat, getHoldability, getInt, getInt, getLong, getLong, getMetaData, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getObject, getObject, getObject, getObject, getRef, getRef, getRow, getRowId, getRowId, getShort, getShort, getSQLXML, getSQLXML, getStatement, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getType, getUnicodeStream, getUnicodeStream, getURL, getURL, getWarnings, insertRow, isAfterLast, isBeforeFirst, isClosed, isFirst, isLast, last, moveToCurrentRow, moveToInsertRow, next, previous, refreshRow, relative, rowDeleted, rowInserted, rowUpdated, setFetchDirection, setFetchSize, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateClob, updateClob, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNString, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateRow, updateRowId, updateRowId, updateShort, updateShort, updateSQLXML, updateSQLXML, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp, wasNull`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Field Detail

#### TYPE_SS_DIRECT_FORWARD_ONLY

    static final int TYPE_SS_DIRECT_FORWARD_ONLY

See Also:
  Constant Field Values

#### TYPE_SS_SERVER_CURSOR_FORWARD_ONLY

    static final int TYPE_SS_SERVER_CURSOR_FORWARD_ONLY

See Also:
  Constant Field Values

#### TYPE_SS_SCROLL_STATIC

    static final int TYPE_SS_SCROLL_STATIC

See Also:
  Constant Field Values

#### TYPE_SS_SCROLL_KEYSET

    static final int TYPE_SS_SCROLL_KEYSET

See Also:
  Constant Field Values

#### TYPE_SS_SCROLL_DYNAMIC

    static final int TYPE_SS_SCROLL_DYNAMIC

See Also:
  Constant Field Values

#### CONCUR_SS_OPTIMISTIC_CC

    static final int CONCUR_SS_OPTIMISTIC_CC

See Also:
  Constant Field Values

#### CONCUR_SS_SCROLL_LOCKS

    static final int CONCUR_SS_SCROLL_LOCKS

See Also:
  Constant Field Values

#### CONCUR_SS_OPTIMISTIC_CCVAL

    static final int CONCUR_SS_OPTIMISTIC_CCVAL

See Also:
  Constant Field Values

### Method Detail

#### getGeometry

    Geometry getGeometry​(int columnIndex)
                  throws SQLServerException

Retrieves the value of the designated column in the current row of this ResultSet object as a com.microsoft.sqlserver.jdbc.Geometry object in the Java programming language.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
Returns:
  the column value; if the value is SQL NULL, the value returned is null
Throws:
  `SQLServerException` - when an error occurs

#### getGeometry

    Geometry getGeometry​(String columnName)
                  throws SQLServerException

Retrieves the value of the designated column in the current row of this ResultSet object as a com.microsoft.sqlserver.jdbc.Geometry object in the Java programming language.

Parameters:
  `columnName` - the name of the column
Returns:
  the column value; if the value is SQL NULL, the value returned is null
Throws:
  `SQLServerException` - when an error occurs

#### getGeography

    Geography getGeography​(int columnIndex)
                    throws SQLServerException

Retrieves the value of the designated column in the current row of this ResultSet object as a com.microsoft.sqlserver.jdbc.Geography object in the Java programming language.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
Returns:
  the column value; if the value is SQL NULL, the value returned is null
Throws:
  `SQLServerException` - when an error occurs

#### getGeography

    Geography getGeography​(String columnName)
                    throws SQLServerException

Retrieves the value of the designated column in the current row of this ResultSet object as a com.microsoft.sqlserver.jdbc.Geography object in the Java programming language.

Parameters:
  `columnName` - the name of the column
Returns:
  the column value; if the value is SQL NULL, the value returned is null
Throws:
  `SQLServerException` - when an error occurs

#### getUniqueIdentifier

    String getUniqueIdentifier​(int columnIndex)
                        throws SQLServerException

Retrieves the value of the designated column in the current row of this ResultSet object as a String object in the Java programming language.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
Returns:
  the column value; if the value is SQL NULL, the value returned is null
Throws:
  `SQLServerException` - when an error occurs

#### getUniqueIdentifier

    String getUniqueIdentifier​(String columnLabel)
                        throws SQLServerException

Retrieves the value of the designated column in the current row of this ResultSet object as a String object in the Java programming language.

Parameters:
  `columnLabel` - the name of the column
Returns:
  the column value; if the value is SQL NULL, the value returned is null
Throws:
  `SQLServerException` - when an error occurs

#### getDateTime

    Timestamp getDateTime​(int columnIndex)
                   throws SQLServerException

Retrieves the value of the designated column in the current row of this ResultSet object as a java.sql.Timestamp object in the Java programming language.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
Returns:
  the column value; if the value is SQL NULL, the value returned is null
Throws:
  `SQLServerException` - when an error occurs

#### getDateTime

    Timestamp getDateTime​(String columnName)
                   throws SQLServerException

Retrieves the value of the designated column in the current row of this ResultSet object as a java.sql.Timestamp object in the Java programming language.

Parameters:
  `columnName` - is the name of the column
Returns:
  the column value; if the value is SQL NULL, the value returned is null
Throws:
  `SQLServerException` - If any errors occur.

#### getDateTime

    Timestamp getDateTime​(int columnIndex,
                          Calendar cal)
                   throws SQLServerException

Retrieves the value of the designated column in the current row of this ResultSet object as a java.sql.Timestamp object in the Java programming language. This method uses the given calendar to construct an appropriate millisecond value for the timestamp if the underlying database does not store timezone information.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
  `cal` - the java.util.Calendar object to use in constructing the dateTime
Returns:
  the column value; if the value is SQL NULL, the value returned is null
Throws:
  `SQLServerException` - If any errors occur.

#### getDateTime

    Timestamp getDateTime​(String colName,
                          Calendar cal)
                   throws SQLServerException

Retrieves the value of the designated column in the current row of this ResultSet object as a java.sql.Timestamp object in the Java programming language. This method uses the given calendar to construct an appropriate millisecond value for the timestamp if the underlying database does not store timezone information.

Parameters:
  `colName` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
  `cal` - the java.util.Calendar object to use in constructing the dateTime
Returns:
  the column value; if the value is SQL NULL, the value returned is null
Throws:
  `SQLServerException` - If any errors occur.

#### getSmallDateTime

    Timestamp getSmallDateTime​(int columnIndex)
                        throws SQLServerException

Retrieves the value of the designated column in the current row of this ResultSet object as a java.sql.Timestamp object in the Java programming language.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
Returns:
  the column value; if the value is SQL NULL, the value returned is null
Throws:
  `SQLServerException` - when an error occurs

#### getSmallDateTime

    Timestamp getSmallDateTime​(String columnName)
                        throws SQLServerException

Retrieves the value of the designated column in the current row of this ResultSet object as a java.sql.Timestamp object in the Java programming language.

Parameters:
  `columnName` - is the name of a column.
Returns:
  the column value; if the value is SQL NULL, the value returned is null
Throws:
  `SQLServerException` - If any errors occur.

#### getSmallDateTime

    Timestamp getSmallDateTime​(int columnIndex,
                               Calendar cal)
                        throws SQLServerException

Retrieves the value of the designated column in the current row of this ResultSet object as a java.sql.Timestamp object in the Java programming language.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
  `cal` - the java.util.Calendar object to use in constructing the smalldateTime
Returns:
  the column value; if the value is SQL NULL, the value returned is null
Throws:
  `SQLServerException` - If any errors occur.

#### getSmallDateTime

    Timestamp getSmallDateTime​(String colName,
                               Calendar cal)
                        throws SQLServerException

Parameters:
  `colName` - The name of a column
  `cal` - the java.util.Calendar object to use in constructing the smalldateTime
Returns:
  the column value; if the value is SQL NULL, the value returned is null
Throws:
  `SQLServerException` - If any errors occur.

#### getDateTimeOffset

    DateTimeOffset getDateTimeOffset​(int columnIndex)
                              throws SQLServerException

Retrieves the value of the designated column as a microsoft.sql.DateTimeOffset object, given a zero-based column ordinal.

Parameters:
  `columnIndex` - The zero-based ordinal of a column.
Returns:
  A DateTimeOffset Class object.
Throws:
  `SQLServerException` - when an error occurs

#### getDateTimeOffset

    DateTimeOffset getDateTimeOffset​(String columnName)
                              throws SQLServerException

Retrieves the value of the column specified as a microsoft.sql.DateTimeOffset object, given a column name.

Parameters:
  `columnName` - The name of a column.
Returns:
  A DateTimeOffset Class object.
Throws:
  `SQLServerException` - when an error occurs

#### getMoney

    BigDecimal getMoney​(int columnIndex)
                 throws SQLServerException

Retrieves the value of the column specified as a java.math.BigDecimal object.

Parameters:
  `columnIndex` - The zero-based ordinal of a column.
Returns:
  the column value; if the value is SQL NULL, the value returned is null
Throws:
  `SQLServerException` - when an error occurs

#### getMoney

    BigDecimal getMoney​(String columnName)
                 throws SQLServerException

Retrieves the value of the column specified as a java.math.BigDecimal object.

Parameters:
  `columnName` - is the name of a column.
Returns:
  the column value; if the value is SQL NULL, the value returned is null.
Throws:
  `SQLServerException` - If any errors occur.

#### getSmallMoney

    BigDecimal getSmallMoney​(int columnIndex)
                      throws SQLServerException

Retrieves the value of the column specified as a java.math.BigDecimal object.

Parameters:
  `columnIndex` - The zero-based ordinal of a column.
Returns:
  the column value; if the value is SQL NULL, the value returned is null
Throws:
  `SQLServerException` - If any errors occur.

#### getSmallMoney

    BigDecimal getSmallMoney​(String columnName)
                      throws SQLServerException

Retrieves the value of the column specified as a java.math.BigDecimal object.

Parameters:
  `columnName` - is the name of a column.
Returns:
  the column value; if the value is SQL NULL, the value returned is null.
Throws:
  `SQLServerException` - If any errors occur.

#### updateDateTimeOffset

    void updateDateTimeOffset​(int index,
                              DateTimeOffset x)
                       throws SQLServerException

Updates the value of the column specified to the DateTimeOffset Class value, given a zero-based column ordinal.

Parameters:
  `index` - The zero-based ordinal of a column.
  `x` - A DateTimeOffset Class object.
Throws:
  `SQLServerException` - when an error occurs

#### updateDateTimeOffset

    void updateDateTimeOffset​(String columnName,
                              DateTimeOffset x)
                       throws SQLServerException

Updates the value of the column specified to the DateTimeOffset Class value, given a column name.

Parameters:
  `columnName` - The name of a column.
  `x` - A DateTimeOffset Class object.
Throws:
  `SQLServerException` - when an error occurs

#### updateObject

    void updateObject​(int index,
                      Object x,
                      int precision,
                      int scale)
               throws SQLServerException

Updates the designated column with an `Object` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `precision` - the precision of the column
  `scale` - the scale of the column
Throws:
  `SQLServerException` - when an error occurs

#### updateObject

    void updateObject​(int index,
                      Object obj,
                      SQLType targetSqlType,
                      int scale,
                      boolean forceEncrypt)
               throws SQLServerException

Updates the designated column with an Object value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database. If the second argument is an InputStream then the stream must contain the number of bytes specified by scaleOrLength. If the second argument is a Reader then the reader must contain the number of characters specified by scaleOrLength. If these conditions are not true the driver will generate a SQLServerException when the statement is executed. The default implementation will throw SQLFeatureNotSupportedException

Parameters:
  `index` - the first column is 1, the second is 2, ...
  `obj` - the new column value
  `targetSqlType` - the SQL type to be sent to the database
  `scale` - for an object of java.math.BigDecimal , this is the number of digits after the decimal point. For Java Object types InputStream and Reader, this is the length of the data in the stream or reader. For all other types, this value will be ignored.
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement.If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateObject

    void updateObject​(String columnName,
                      Object obj,
                      SQLType targetSqlType,
                      int scale,
                      boolean forceEncrypt)
               throws SQLServerException

Updates the designated column with an Object value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database. If the second argument is an InputStream then the stream must contain the number of bytes specified by scaleOrLength. If the second argument is a Reader then the reader must contain the number of characters specified by scaleOrLength. If these conditions are not true the driver will generate a SQLServerException when the statement is executed. The default implementation will throw SQLFeatureNotSupportedException

Parameters:
  `columnName` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
  `obj` - the new column value
  `targetSqlType` - the SQL type to be sent to the database
  `scale` - for an object of java.math.BigDecimal , this is the number of digits after the decimal point. For Java Object types InputStream and Reader, this is the length of the data in the stream or reader. For all other types, this value will be ignored.
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement.If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateBoolean

    void updateBoolean​(int index,
                       boolean x,
                       boolean forceEncrypt)
                throws SQLServerException

Updates the designated column with a `boolean` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateByte

    void updateByte​(int index,
                    byte x,
                    boolean forceEncrypt)
             throws SQLServerException

Updates the designated column with a `byte` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateShort

    void updateShort​(int index,
                     short x,
                     boolean forceEncrypt)
              throws SQLServerException

Updates the designated column with a `short` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateInt

    void updateInt​(int index,
                   int x,
                   boolean forceEncrypt)
            throws SQLServerException

Updates the designated column with an `int` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateLong

    void updateLong​(int index,
                    long x,
                    boolean forceEncrypt)
             throws SQLServerException

Updates the designated column with a `long` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateFloat

    void updateFloat​(int index,
                     float x,
                     boolean forceEncrypt)
              throws SQLServerException

Updates the designated column with a `float` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateDouble

    void updateDouble​(int index,
                      double x,
                      boolean forceEncrypt)
               throws SQLServerException

Updates the designated column with a `double` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateMoney

    void updateMoney​(int index,
                     BigDecimal x)
              throws SQLServerException

Updates the designated column with a `money` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
Throws:
  `SQLServerException` - when an error occurs

#### updateMoney

    void updateMoney​(int index,
                     BigDecimal x,
                     boolean forceEncrypt)
              throws SQLServerException

Updates the designated column with a `money` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateMoney

    void updateMoney​(String columnName,
                     BigDecimal x)
              throws SQLServerException

Updates the designated column with a `money` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `columnName` - the column name
  `x` - the new column value
Throws:
  `SQLServerException` - If any errors occur.

#### updateMoney

    void updateMoney​(String columnName,
                     BigDecimal x,
                     boolean forceEncrypt)
              throws SQLServerException

Updates the designated column with a `money` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `columnName` - the column name
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateSmallMoney

    void updateSmallMoney​(int index,
                          BigDecimal x)
                   throws SQLServerException

Updates the designated column with a `smallmoney` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
Throws:
  `SQLServerException` - when an error occurs

#### updateSmallMoney

    void updateSmallMoney​(int index,
                          BigDecimal x,
                          boolean forceEncrypt)
                   throws SQLServerException

Updates the designated column with a `smallmoney` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateSmallMoney

    void updateSmallMoney​(String columnName,
                          BigDecimal x)
                   throws SQLServerException

Updates the designated column with a `smallmoney` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `columnName` - the column name
  `x` - the new column value
Throws:
  `SQLServerException` - If any errors occur.

#### updateSmallMoney

    void updateSmallMoney​(String columnName,
                          BigDecimal x,
                          boolean forceEncrypt)
                   throws SQLServerException

Updates the designated column with a `smallmoney` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `columnName` - the column name
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateBigDecimal

    void updateBigDecimal​(int index,
                          BigDecimal x,
                          Integer precision,
                          Integer scale)
                   throws SQLServerException

Updates the designated column with a `java.math.BigDecimal` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `precision` - the precision of the column
  `scale` - the scale of the column
Throws:
  `SQLServerException` - when an error occurs

#### updateBigDecimal

    void updateBigDecimal​(int index,
                          BigDecimal x,
                          Integer precision,
                          Integer scale,
                          boolean forceEncrypt)
                   throws SQLServerException

Updates the designated column with a `java.math.BigDecimal` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `precision` - the precision of the column
  `scale` - the scale of the column
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateString

    void updateString​(int columnIndex,
                      String stringValue,
                      boolean forceEncrypt)
               throws SQLServerException

Updates the designated column with a `String` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
  `stringValue` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateNString

    void updateNString​(int columnIndex,
                       String nString,
                       boolean forceEncrypt)
                throws SQLServerException

Updates the designated column with a `String` value. It is intended for use when updating `NCHAR`,`NVARCHAR` and `LONGNVARCHAR` columns. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `columnIndex` - the first column is 1, the second 2, ...
  `nString` - the value for the column to be updated
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateNString

    void updateNString​(String columnLabel,
                       String nString,
                       boolean forceEncrypt)
                throws SQLServerException

Updates the designated column with a `String` value. It is intended for use when updating `NCHAR`,`NVARCHAR` and `LONGNVARCHAR` columns. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
  `nString` - the value for the column to be updated
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateBytes

    void updateBytes​(int index,
                     byte[] x,
                     boolean forceEncrypt)
              throws SQLServerException

Updates the designated column with a `byte` array value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateDate

    void updateDate​(int index,
                    Date x,
                    boolean forceEncrypt)
             throws SQLServerException

Updates the designated column with a `java.sql.Date` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateTime

    void updateTime​(int index,
                    Time x,
                    Integer scale)
             throws SQLServerException

Updates the designated column with a `java.sql.Time` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `scale` - the scale of the column
Throws:
  `SQLServerException` - when an error occurs

#### updateTime

    void updateTime​(int index,
                    Time x,
                    Integer scale,
                    boolean forceEncrypt)
             throws SQLServerException

Updates the designated column with a `java.sql.Time` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `scale` - the scale of the column
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateTimestamp

    void updateTimestamp​(int index,
                         Timestamp x,
                         int scale)
                  throws SQLServerException

Updates the designated column with a `java.sql.Timestamp` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `scale` - the scale of the column
Throws:
  `SQLServerException` - when an error occurs

#### updateTimestamp

    void updateTimestamp​(int index,
                         Timestamp x,
                         int scale,
                         boolean forceEncrypt)
                  throws SQLServerException

Updates the designated column with a `java.sql.Timestamp` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `scale` - the scale of the column
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateDateTime

    void updateDateTime​(int index,
                        Timestamp x)
                 throws SQLServerException

Updates the designated column with a `java.sql.Timestamp` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
Throws:
  `SQLServerException` - when an error occurs

#### updateDateTime

    void updateDateTime​(int index,
                        Timestamp x,
                        Integer scale)
                 throws SQLServerException

Updates the designated column with a `java.sql.Timestamp` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `scale` - the scale of the column
Throws:
  `SQLServerException` - when an error occurs

#### updateDateTime

    void updateDateTime​(int index,
                        Timestamp x,
                        Integer scale,
                        boolean forceEncrypt)
                 throws SQLServerException

Updates the designated column with a `java.sql.Timestamp` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `scale` - the scale of the column
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateSmallDateTime

    void updateSmallDateTime​(int index,
                             Timestamp x)
                      throws SQLServerException

Updates the designated column with a `java.sql.Timestamp` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
Throws:
  `SQLServerException` - when an error occurs

#### updateSmallDateTime

    void updateSmallDateTime​(int index,
                             Timestamp x,
                             Integer scale)
                      throws SQLServerException

Updates the designated column with a `java.sql.Timestamp` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `scale` - the scale of the column
Throws:
  `SQLServerException` - when an error occurs

#### updateSmallDateTime

    void updateSmallDateTime​(int index,
                             Timestamp x,
                             Integer scale,
                             boolean forceEncrypt)
                      throws SQLServerException

Updates the designated column with a `java.sql.Timestamp` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `scale` - the scale of the column
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateDateTimeOffset

    void updateDateTimeOffset​(int index,
                              DateTimeOffset x,
                              Integer scale)
                       throws SQLServerException

Updates the value of the column specified to the DateTimeOffset Class value, given a zero-based column ordinal.

Parameters:
  `index` - The zero-based ordinal of a column.
  `x` - A DateTimeOffset Class object.
  `scale` - scale of the column
Throws:
  `SQLServerException` - when an error occurs

#### updateDateTimeOffset

    void updateDateTimeOffset​(int index,
                              DateTimeOffset x,
                              Integer scale,
                              boolean forceEncrypt)
                       throws SQLServerException

Updates the value of the column specified to the DateTimeOffset Class value, given a zero-based column ordinal.

Parameters:
  `index` - The zero-based ordinal of a column.
  `x` - A DateTimeOffset Class object.
  `scale` - scale of the column
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateUniqueIdentifier

    void updateUniqueIdentifier​(int index,
                                String x)
                         throws SQLServerException

Updates the designated column with a `String` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `index` - The zero-based ordinal of a column.
  `x` - the new column value
Throws:
  `SQLServerException` - when an error occurs

#### updateUniqueIdentifier

    void updateUniqueIdentifier​(int index,
                                String x,
                                boolean forceEncrypt)
                         throws SQLServerException

Updates the designated column with a `String` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `index` - The zero-based ordinal of a column.
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateObject

    void updateObject​(int index,
                      Object x,
                      int precision,
                      int scale,
                      boolean forceEncrypt)
               throws SQLServerException

Updates the designated column with an `Object` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `precision` - the precision of the column
  `scale` - the scale of the column
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateBoolean

    void updateBoolean​(String columnName,
                       boolean x,
                       boolean forceEncrypt)
                throws SQLServerException

Updates the designated column with a `boolean` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `columnName` - the name of the column
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateByte

    void updateByte​(String columnName,
                    byte x,
                    boolean forceEncrypt)
             throws SQLServerException

Updates the designated column with a `byte` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `columnName` - the name of the column
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateShort

    void updateShort​(String columnName,
                     short x,
                     boolean forceEncrypt)
              throws SQLServerException

Updates the designated column with a `short` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `columnName` - the name of the column
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateInt

    void updateInt​(String columnName,
                   int x,
                   boolean forceEncrypt)
            throws SQLServerException

Updates the designated column with an `int` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `columnName` - is the name of the column
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateLong

    void updateLong​(String columnName,
                    long x,
                    boolean forceEncrypt)
             throws SQLServerException

Updates the designated column with a `long` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `columnName` - is the name of the column
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateFloat

    void updateFloat​(String columnName,
                     float x,
                     boolean forceEncrypt)
              throws SQLServerException

Updates the designated column with a `float` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `columnName` - is the name of the column
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateDouble

    void updateDouble​(String columnName,
                      double x,
                      boolean forceEncrypt)
               throws SQLServerException

Updates the designated column with a `double` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `columnName` - is the name of the column
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateBigDecimal

    void updateBigDecimal​(String columnName,
                          BigDecimal x,
                          boolean forceEncrypt)
                   throws SQLServerException

Updates the designated column with a `java.sql.BigDecimal` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `columnName` - is the name of the column
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateBigDecimal

    void updateBigDecimal​(String columnName,
                          BigDecimal x,
                          Integer precision,
                          Integer scale)
                   throws SQLServerException

Updates the designated column with a `java.sql.BigDecimal` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `columnName` - is the name of the column and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
  `x` - BigDecimal value
  `precision` - the precision of the column
  `scale` - the scale of the column
Throws:
  `SQLServerException` - If any errors occur.

#### updateBigDecimal

    void updateBigDecimal​(String columnName,
                          BigDecimal x,
                          Integer precision,
                          Integer scale,
                          boolean forceEncrypt)
                   throws SQLServerException

Updates the designated column with a `java.sql.BigDecimal` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `columnName` - is the name of the column and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
  `x` - BigDecimal value
  `precision` - the precision of the column
  `scale` - the scale of the column
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateString

    void updateString​(String columnName,
                      String x,
                      boolean forceEncrypt)
               throws SQLServerException

Updates the designated column with a `String` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `columnName` - is the name of the column
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateBytes

    void updateBytes​(String columnName,
                     byte[] x,
                     boolean forceEncrypt)
              throws SQLServerException

Updates the designated column with a byte array value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `columnName` - is the name of the column
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateDate

    void updateDate​(String columnName,
                    Date x,
                    boolean forceEncrypt)
             throws SQLServerException

Updates the designated column with a `java.sql.Date` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `columnName` - is the name of the column
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateTime

    void updateTime​(String columnName,
                    Time x,
                    int scale)
             throws SQLServerException

Updates the designated column with a `java.sql.Time` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `columnName` - is the name of the column
  `x` - the new column value
  `scale` - the scale of the column
Throws:
  `SQLServerException` - If any errors occur.

#### updateTime

    void updateTime​(String columnName,
                    Time x,
                    int scale,
                    boolean forceEncrypt)
             throws SQLServerException

Updates the designated column with a `java.sql.Time` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `columnName` - is the name of the column
  `x` - the new column value
  `scale` - the scale of the column
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateTimestamp

    void updateTimestamp​(String columnName,
                         Timestamp x,
                         int scale)
                  throws SQLServerException

Updates the designated column with a `java.sql.Timestamp` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `columnName` - is the name of the column
  `x` - the new column value
  `scale` - the scale of the column
Throws:
  `SQLServerException` - If any errors occur.

#### updateTimestamp

    void updateTimestamp​(String columnName,
                         Timestamp x,
                         int scale,
                         boolean forceEncrypt)
                  throws SQLServerException

Updates the designated column with a `java.sql.Timestamp` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `columnName` - is the name of the column
  `x` - the new column value
  `scale` - the scale of the column
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateDateTime

    void updateDateTime​(String columnName,
                        Timestamp x)
                 throws SQLServerException

Updates the designated column with a `java.sql.Timestamp` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `columnName` - is the name of the column
  `x` - the new column value
Throws:
  `SQLServerException` - If any errors occur.

#### updateDateTime

    void updateDateTime​(String columnName,
                        Timestamp x,
                        int scale)
                 throws SQLServerException

Updates the designated column with a `java.sql.Timestamp` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `columnName` - is the name of the column
  `x` - the new column value
  `scale` - the scale of the column
Throws:
  `SQLServerException` - If any errors occur.

#### updateDateTime

    void updateDateTime​(String columnName,
                        Timestamp x,
                        int scale,
                        boolean forceEncrypt)
                 throws SQLServerException

Updates the designated column with a `java.sql.Timestamp` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `columnName` - is the name of the column
  `x` - the new column value
  `scale` - the scale of the column
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateSmallDateTime

    void updateSmallDateTime​(String columnName,
                             Timestamp x)
                      throws SQLServerException

Updates the designated column with a `java.sql.Timestamp` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `columnName` - is the name of the column
  `x` - the new column value
Throws:
  `SQLServerException` - If any errors occur.

#### updateSmallDateTime

    void updateSmallDateTime​(String columnName,
                             Timestamp x,
                             int scale)
                      throws SQLServerException

Updates the designated column with a `java.sql.Timestamp` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `columnName` - is the name of the column
  `x` - the new column value
  `scale` - the scale of the column
Throws:
  `SQLServerException` - If any errors occur.

#### updateSmallDateTime

    void updateSmallDateTime​(String columnName,
                             Timestamp x,
                             int scale,
                             boolean forceEncrypt)
                      throws SQLServerException

Updates the designated column with a `java.sql.Timestamp` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `columnName` - is the name of the column
  `x` - the new column value
  `scale` - the scale of the column
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateDateTimeOffset

    void updateDateTimeOffset​(String columnName,
                              DateTimeOffset x,
                              int scale)
                       throws SQLServerException

Updates the value of the column specified to the DateTimeOffset Class value, given a column name.

Parameters:
  `columnName` - The name of a column.
  `x` - A DateTimeOffset Class object.
  `scale` - the scale of the column
Throws:
  `SQLServerException` - If any errors occur.

#### updateDateTimeOffset

    void updateDateTimeOffset​(String columnName,
                              DateTimeOffset x,
                              int scale,
                              boolean forceEncrypt)
                       throws SQLServerException

Updates the value of the column specified to the DateTimeOffset Class value, given a column name.

Parameters:
  `columnName` - The name of a column.
  `x` - A DateTimeOffset Class object.
  `scale` - the scale of the column
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateUniqueIdentifier

    void updateUniqueIdentifier​(String columnName,
                                String x)
                         throws SQLServerException

Updates the designated column with a `String`value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `columnName` - The name of a column.
  `x` - the new column value
Throws:
  `SQLServerException` - If any errors occur.

#### updateUniqueIdentifier

    void updateUniqueIdentifier​(String columnName,
                                String x,
                                boolean forceEncrypt)
                         throws SQLServerException

Updates the designated column with a `String`value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `columnName` - The name of a column.
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateObject

    void updateObject​(String columnName,
                      Object x,
                      int precision,
                      int scale)
               throws SQLServerException

Updates the designated column with an `Object` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `columnName` - The name of a column.
  `x` - the new column value
  `precision` - the precision of the column
  `scale` - the scale of the column
Throws:
  `SQLServerException` - If any errors occur.

#### updateObject

    void updateObject​(String columnName,
                      Object x,
                      int precision,
                      int scale,
                      boolean forceEncrypt)
               throws SQLServerException

Updates the designated column with an `Object` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Parameters:
  `columnName` - The name of a column.
  `x` - the new column value
  `precision` - the precision of the column
  `scale` - the scale of the column
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### getSensitivityClassification

    SensitivityClassification getSensitivityClassification()

Exposes Data Classification information for the current ResultSet For SQL Servers that do not support Data Classification or results that do not fetch any classified columns, this data can be null

Returns:
  SensitivityClassification